JodaSerializers.JodaSerializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.ext

## Class JodaSerializers.JodaSerializer<T>

- java.lang.Object
- - org.codehaus.jackson.map.JsonSerializer<T>
  - - org.codehaus.jackson.map.ser.std.SerializerBase<T>
    - - org.codehaus.jackson.map.ext.JodaSerializers.JodaSerializer<T>

- All Implemented Interfaces:
    SchemaAware
  Direct Known Subclasses:
    JodaSerializers.DateMidnightSerializer, JodaSerializers.DateTimeSerializer, JodaSerializers.LocalDateSerializer, JodaSerializers.LocalDateTimeSerializer
  Enclosing class:
    JodaSerializers

      protected abstract static class JodaSerializers.JodaSerializer<T>
      extends SerializerBase<T>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `_handledType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JodaSerializers.JodaSerializer(Class<T> cls)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `printLocalDate(ReadableInstant dateValue)`
    `protected String` | `printLocalDate(ReadablePartial dateValue)`
    `protected String` | `printLocalDateTime(ReadablePartial dateValue)`

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `createObjectNode, createSchemaNode, createSchemaNode, getSchema, handledType, isDefaultSerializer, serialize, wrapAndThrow, wrapAndThrow, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonSerializer

      `isUnwrappingSerializer, serializeWithType, unwrappingSerializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JodaSerializers.JodaSerializer

          protected JodaSerializers.JodaSerializer(Class<T> cls)

  - ### Method Detail

    - #### printLocalDateTime

          protected String printLocalDateTime(ReadablePartial dateValue)
                                       throws IOException,
                                              JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`

    - #### printLocalDate

          protected String printLocalDate(ReadablePartial dateValue)
                                   throws IOException,
                                          JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`

    - #### printLocalDate

          protected String printLocalDate(ReadableInstant dateValue)
                                   throws IOException,
                                          JsonProcessingException

      Throws:
        `IOException`
        `JsonProcessingException`